<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="2.0">

<xsl:output method="text"/>

<xsl:template name="start">
  <xsl:variable name="all-models"
                select="collection('./?select=*.gc')"/>
  
  <xsl:for-each-group select="$all-models/*/SimpleCodeList/Row"
                group-by="Value[@ColumnRef='DictionaryEntryName']/SimpleValue">
    <xsl:sort data-type="text" order="ascending"
              select="current-grouping-key()"/>
    
    <xsl:value-of select="current-grouping-key()"/>
    <xsl:for-each-group group-by="."
       select="current-group()/Value[@ColumnRef='CurrentVersion']/SimpleValue">
      <xsl:sort order="descending"/>
      <xsl:text>&#x9;"</xsl:text>
      <xsl:value-of select="."/>
      <xsl:text>"</xsl:text>
    </xsl:for-each-group>
    <xsl:text>&#xa;</xsl:text>
  </xsl:for-each-group>
</xsl:template>

</xsl:stylesheet>